Välkommen till linuxportalen.se!

Linuxportalen.se är Sveriges största och aktivaste webbplats för användare av öppen- och fri programvara.

Du besöker Linuxportalen.se som gäst vilket begränsar din möjlighet att använda webbplatsens alla funktioner. Genom att registera dig som medlem får du inte bara möjlighet att söka bland webbplatsens innehåll, skapa nya och delta i befintliga diskussioner, skapa din egen blogg, kommunicera med andra medlemmar genom privata meddelanden och delta i omröstningar. Du får också tillgång till Veckans Kadavro - en seriestrip unikt skapad för Linuxportalen.se!

Registeringen sker snabbt och är helt kostnadsfri - tveka inte, bli medlem idag!

BankID - libidn.so.11 finns men hittas ej??

Kör Debian Lenny på amd64, har skaffat SHB:s bankid på kort.
Installerat enligt div anvisningar för 64-bitars, när jag försöker starta "personal" i terminal får jag felmeddelande:/usr/local/lib/personal/personal.bin: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
Men den finns, både i /usr/lib & /usr/lib64:
# ls -l /usr/lib/libidn.so.11*
lrwxrwxrwx 1 root root 17 28 mar 12.37 /usr/lib/libidn.so.11 -> libidn.so.11.5.37
-rw-r--r-- 1 root root 206344 7 jun 2008 /usr/lib/libidn.so.11.5.37
edgar:/usr/local/lib/personal# ls -l /usr/lib64/libidn.so.11*
lrwxrwxrwx 1 root root 17 28 mar 12.37 /usr/lib64/libidn.so.11 -> libidn.so.11.5.37
-rw-r--r-- 1 root root 206344 7 jun 2008 /usr/lib64/libidn.so.11.5.37

Nexus finns i Firefox plugins, kollat "about:plugins"
# nspluginwrapper -l
/usr/lib/mozilla/plugins/npwrapper.libplugins.so
Original plugin: /usr/local/lib/personal/libplugins.so
Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins/npwrapper.libplugins.so
Original plugin: /usr/local/lib/personal/libplugins.so
Wrapper version string: 0.9.91.5
/usr/lib/firefox/plugins/npwrapper.libplugins.so
Original plugin: /usr/local/lib/personal/libplugins.so
Wrapper version string: 0.9.91.5
/usr/lib64/firefox/plugins/npwrapper.libplugins.so
Original plugin: /usr/local/lib/personal/libplugins.so
Wrapper version string: 0.9.91.5

Alternativ för kommentarvisning

Välj ditt önskade sätt att visa kommentarerna och klicka på "Spara" för att verkställa dina ändringar.

FoHs bild

Märkligt. Kör det utan problem på Ubuntu 64-bitars, och det bör ju vara så lika att det inte ska vara några problem. Har libidn.so på samma ställen som du, det är version 11.5.44 men det är ju en sån liten versionsändring så jag tror knappast det är problemet.

Ställer mig tveksam till om följande hjälper, man kan ju vara värt ett försök: Radera .personal i din hemkatalog och se om det hjälper. Om inte, testa att aktivera felsökningen genom att redigiera Personal.cfg i ~/.personal/config och skriv in din hemkatalog efter raden med Trace=

Tveksamt om loggen ens kommer innehålla något eftersom du inte kommer så långt i starten, men testa och se om det finns någon mer information. Loggen ska heta Nx_prs.log

pingus bild

Finns ingen katalog .personal
Men installationen görs ju som root så katalogen skapas väl först när jag själv kör programmet - och det går alltså inte. (Finns ingen .personal i root:s hem heller.)

Måhända är installationen inte komplett, fick ett felmeddelande om att det inte gick skapa länk till firefox plugins, men sedan "installation complete".
Vanligt problem har jag sett, länkar man själv ska det inte vara problem.
Och länken till libplugin.so fanns trots felmeddelandet, lade för säkerhets skull in den i /usr/lib/mozilla/plugins/ också.

Men det ska ju inte påverka körningen av själva programmet, är ju bara så FF hittar Nexus.

----------------------------
In Pingvino veritas!

http://www.tuxit.se
http://blogg.skuttungecity.se

FoHs bild

Sant. Lär väl inte hjälpa att ominstallera heller då förmodligen. Kolla denna post och se om det hjälper för dig: http://www.linuxportalen.se/forums/2009/01/31/nexus-bankid-klient-ntligen-p-linux-men#comment-76407

Notera att det är över ett år sedan, Nexus har ju släppts i ny version sedan dess. Men jag tycker det är rätt intressant att användaren får samma felmeddelande som dig (dock ett annat delat bibliotek) och att det försvinner efter ldconfig-kommandot. (gnutls-felmeddelandet som han får efter det ska inte dyka upp i senare versioner av Nexus Personal).

Edit: Det där är kanske något som normalt sker av sig självt efter en omstart?

pingus bild

ldconfig hade jag missat. läst det mesta annars här om bankid.
Men det gjorde ingen skillnad, prövade även med Windows-lösningen omstart utan resultat (förstås).
Ska pröva ominstallation o skapa den där plugins-katalogen, kanske installationen missat något pga det.
Återkommer!

----------------------------
In Pingvino veritas!

http://www.tuxit.se
http://blogg.skuttungecity.se